{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Debug",
            "type": "shell",
            "command": "make",
            "args": ["debug"],
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "problemMatcher": [],
            "detail": "Runs the make target for run_debug"
        },
        {
            "label": "Run ASAN",
            "type": "shell",
            "command": "make",
            "args": ["run_asan"],
            "group": {
                "kind": "build",
                "isDefault": false
            },
            "problemMatcher": [],
            "detail": "Runs the make target for run_asan"
        },
        {
            "label": "Make Run",
            "type": "shell",
            "command": "make",
			"args": ["run"],
            "group": {
                "kind": "build",
                "isDefault": false
            },
            "problemMatcher": [],
            "detail": "Runs the make run command"
        }
    ]
}